graph LR
    id[Oauth flow]
    A["Any ePages shop, any provider"] -->|User initiates oauth| B(Amazon)
    B --> |Amazon redirects to whitelabel| C{WhiteLabel ePages}
    C -->|Whitelabel redirects back to ePages| A

    D("-") --> E("Whitelabel URL = https://domain/epages/Site.admin/?ChangeAction=BacklinkAmazonOnboarding")
    D("-") --> F("The OAuth 'state' variable holds the information required to redirect back to the original ePages shop")
    D("-") --> G("The reason for using Whitelabel for the redirection is so that we don't need to add an OAuth URL per provider")
    D("-") --> H("The Whitelabel URL is added to the Amazon App's list of OAuth URLs")